Skip to main content
POST
/
v1
/
formation
Create formation
curl --request POST \
  --url https://api.usenaive.ai/v1/formation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "verification_id": "<string>",
  "entity_type": "LLC",
  "state": "<string>",
  "naics_code_id": "<string>",
  "description": "<string>",
  "name_options": [
    {
      "name": "<string>",
      "entity_type_ending": "<string>"
    }
  ],
  "mailing_address": {}
}
'
{}

Authorizations

Authorization
string
header
required

Workspace API key. Create one via the dashboard or POST /v1/auth/keys.

Body

application/json
verification_id
string
required
entity_type
enum<string>
required
Available options:
LLC
state
string
required

2-letter US state code.

naics_code_id
string
required
description
string
required
Maximum string length: 256
name_options
object[]
required
mailing_address
object

Response

Created (awaiting payment).

The response is of type object.